summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfelixonmars <felixonmars@9fca08f4-af9d-4005-b8df-a31f2cc04f65>2019-11-24 15:44:40 +0000
committerfelixonmars <felixonmars@9fca08f4-af9d-4005-b8df-a31f2cc04f65>2019-11-24 15:44:40 +0000
commit0070a05f907aca7db976e4e70e6a6239bc4129ca (patch)
tree431ae37d21a27f1abf5a9135b8887197bc4de7bf
parent9552379568d03ef78b463590229da0380123c7b8 (diff)
archrelease: copy trunk to community-staging-x86_64
git-svn-id: file:///srv/repos/svn-community/svn@533064 9fca08f4-af9d-4005-b8df-a31f2cc04f65
-rw-r--r--pandoc/repos/community-staging-x86_64/PKGBUILD66
1 files changed, 66 insertions, 0 deletions
diff --git a/pandoc/repos/community-staging-x86_64/PKGBUILD b/pandoc/repos/community-staging-x86_64/PKGBUILD
new file mode 100644
index 00000000000..7255eaab17b
--- /dev/null
+++ b/pandoc/repos/community-staging-x86_64/PKGBUILD
@@ -0,0 +1,66 @@
+# Maintainer: Felix Yan <felixonmars@archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell@haskell.org>
+
+pkgname=pandoc
+pkgver=2.7.3
+pkgrel=77
+pkgdesc='Conversion between markup formats'
+url='https://pandoc.org'
+license=('GPL')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-http' 'haskell-juicypixels' 'haskell-sha' 'haskell-aeson'
+ 'haskell-aeson-pretty' 'haskell-attoparsec' 'haskell-base-compat' 'haskell-base64-bytestring'
+ 'haskell-blaze-html' 'haskell-blaze-markup' 'haskell-case-insensitive' 'haskell-cmark-gfm'
+ 'haskell-data-default' 'haskell-doctemplates' 'haskell-exceptions' 'haskell-glob'
+ 'haskell-haddock-library' 'haskell-ipynb' 'haskell-skylighting' 'haskell-hslua'
+ 'haskell-hslua-module-system' 'haskell-hslua-module-text' 'haskell-http-client'
+ 'haskell-syb' 'haskell-hsyaml' 'haskell-http-client-tls' 'haskell-http-types'
+ 'haskell-safe' 'haskell-split' 'haskell-texmath' 'haskell-network' 'haskell-pandoc-types'
+ 'haskell-random' 'haskell-scientific' 'haskell-tagsoup' 'haskell-temporary'
+ 'haskell-network-uri' 'haskell-unicode-transforms' 'haskell-unordered-containers'
+ 'haskell-zip-archive' 'haskell-vector' 'haskell-xml' 'haskell-zlib')
+optdepends=('pandoc-citeproc: for citation rendering with pandoc-citeproc filter'
+ 'pandoc-crossref: for numbering figures, equations, tables and cross-references to them with pandoc-crossref filter'
+ 'texlive-core: for pdf output')
+conflicts=('haskell-pandoc')
+replaces=('haskell-pandoc')
+makedepends=('ghc' 'haskell-diff' 'haskell-tasty' 'haskell-tasty-hunit' 'haskell-tasty-lua'
+ 'haskell-tasty-quickcheck' 'haskell-tasty-golden' 'haskell-quickcheck'
+ 'haskell-executable-path')
+source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('7db610ed1f5bad7ae91b9c89b210500c0e2f8660982cf424080ea8a603ca1891187bbf6e4a48144b48716fd0131d204e953175a82668be44c39898041bac9740')
+
+prepare() {
+ cd "${srcdir}/$pkgname-${pkgver}"
+
+ # TODO: find a better solution
+ sed -i "s|let env' = dynlibEnv ++ |let env' = dynlibEnv ++ [(\"LD_LIBRARY_PATH\", \"$PWD/dist/build\")] ++ |" test/Tests/Command.hs
+ sed -i 's/< *0.4/<1/' $pkgname.cabal
+}
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir="/usr/share/doc/${pkgbase}" --datasubdir="$pkgname" --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+ -f-trypandoc -f-embed_data_files -f-static
+ runhaskell Setup build
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ LC_CTYPE=en_US.UTF-8 runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+ cd "${srcdir}/${pkgbase}-${pkgver}"
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ rm -f "${pkgdir}/usr/share/doc/${pkgname}/COPYING.md"
+}